###########################################################
#
#  HTMLSLIDE v 1.4 12/18/2001
#  HTML slideshow creator
#  http://almen.wipcom.it/htmlslide/
#
#  Copyright (C) 2001 Menegon Alessandro <almen@wipcom.it>
#  This program is distributed under GPL license
#  Read COPYING for more information
#
###########################################################

require "$prog_inst_dir/functions.pm";

## Subroutine che crea il contenuto dell'index.html (CONTENT)
sub create_index_content()
{
	my $content;
	my $i;
	my $photo_num;
	my $photo_tot_num;
	
	$content  = "\n\n<!-- Begin index_table -->\n<TABLE border=\"0\">";
	$photo_tot_num = &retrieve_photo_num;
	for ($i=1; $i <= $photo_tot_num; $i++)
  	{
     		if (($i-1)%3 == 0)
    		{
			$content .= "<TR>";
		}
		$photo_num = 1;
		$content .= "\n<TD class=\"index\" align = \"center\" valign = \"middle\"><a HREF = \".htmlslide/$i.html\"><IMG SRC =  \".htmlslide/.small/";
		$content .= &retrieve_content($i);
		$content .= "\" BORDER = \"0\"></A></TD>";
		if ($i%3 == 0)
    		{
      			$content .= "</TR>";
		}
	}
	if (($photo_tot_num + 1)%3 == 0)
  	{
    		$content .= "<TD class=\"index\">&nbsp;</TD></TR>";
  	}
  	elsif (($photo_tot_num + 2)%3 == 0)
  	{
    		$content .= "<TD class=\"index\">&nbsp;</TD><TD class=\"index\">&nbsp;</TD></TR>";
  	}
	$content .= "</TABLE>\n<!-- End index_table -->\n";
	$content .= "\n";
	return $content;
}

## Subroutine che crea il contenuto di una pagina specificata (CONTENT)
sub create_page_content()
{
	my $photo_name = $_[0];
	my $content;
	my $width;
	my $height;
	
	($width, $height) = imgsize("$photo_position/$photo_name");
	if($width > $max_x)
	{
		$height = $height / ( $width / $max_x );
		$width = $max_x;
	}
	
	$content = "<a href=\"../$photo_name\" target=\"_blank\"><IMG SRC = \"../$photo_name\" WIDTH=\"$width\" HEIGHT=\"$height\" border=\"0\"></a>";

	return $content;
}

## Subroutine che crea la navigation bar (NAVBAR)
sub create_nav_bar()
{
	my $content;
	my $page_num = $_[0];
	my $last_page_num = $_[1];
	
	if($page_num == 0) # index.html
	{
		$content = 
		"
		<TABLE class = \"navbar\" WIDTH = \"100%\" cellspacing = \"0\" cellpadding = \"0\">
			<TR>
				<TD>
					<TABLE class = \"navbar\" WIDTH = \"100%\" cellspacing = \"0\" cellpadding = \"0\">
						<TR>
							<TD width = \"33%\" align = \"center\">
								&nbsp;
							</TD>
							<TD align = \"center\" width = \"33%\">
								<A class = \"navbar\"  HREF=\"index.html\">^^^</A>
							</TD>
							<TD align = \"center\" width = \"*\">
								<A class = \"navbar\"  HREF=\".htmlslide/1.html\">&gt;&gt;&gt;</A>
							</TD>
						</TR>
					</TABLE>
				</TD>
			</TR>
		</TABLE>
		";
	}
	elsif($page_num == $last_page_num) # last page
	{
		$content = 
		"
		<TABLE class = \"navbar\" WIDTH = \"100%\" cellspacing = \"0\" cellpadding = \"0\">
			<TR>
				<TD>
					<TABLE class = \"navbar\" WIDTH = \"100%\" cellspacing = \"0\" cellpadding = \"0\">
						<TR>
							<TD align = \"center\" width = \"33%\">
								<A class = \"navbar\"  HREF=\"".($page_num-1).".html\">&lt;&lt;&lt;</A>
							</TD>
							<TD align = \"center\" width = \"33%\">
								<A class = \"navbar\"  HREF=\"../index.html\">^^^</A>
							</TD>
							<TD align = \"center\" width = \"*\">
								&nbsp;
							</TD>
						</TR>
					</TABLE>
				</TD>
			</TR>
		</TABLE>
		";
	}
	else # other pages
	{
		$content = 
		"
		<TABLE class = \"navbar\" WIDTH = \"100%\" cellspacing = \"0\" cellpadding = \"0\">
			<TR>
				<TD>
					<TABLE class = \"navbar\" WIDTH = \"100%\" cellspacing = \"0\" cellpadding = \"0\">
						<TR>
							<TD align = \"center\" width = \"33%\">
		";
		if($page_num != 1)
		{
			$content .= 
			"
								<A class = \"navbar\"  HREF=\"".($page_num-1).".html\">&lt;&lt;&lt;</A>
			";
		}
		else
		{
			$content .= "&nbsp;";
		}
		$content .= 
		"
							</TD>
							<TD align = \"center\" width = \"33%\">
								<A class = \"navbar\"  HREF=\"../index.html\">^^^</A>
							</TD>
							<TD align = \"center\" width = \"*\">
								<A class = \"navbar\"  HREF=\"".($page_num+1).".html\">&gt;&gt;&gt;</A>
							</TD>
						</TR>
					</TABLE>
				</TD>
			</TR>
		</TABLE>
		";
	}
	return $content;
}

## Subroutine che crea la navigation bar completa (FULLNAVBAR)
sub create_full_nav_bar()
{
	my $content = "";
	my $i;
	my $photo_num = $_[0];
	my $page = $_[1];
	
	$content = "<span class=\"fullnavbar\">Vai alla pagina</span><br>";
	for($i=1; $i<=$photo_num; $i++)
	{
		if ($i < 10)
		{
			$j = "0".$i;
		}
		else
		{
			$j = $i;
		}
		$content .= "<a class = \"fullnavbar\" href = \"";
		if($page == 0)
		{
			$content .= ".htmlslide/";	
		}
		$content .= $i . ".html\">$j</a> ";
		if($i % 20 == 0)
		{
			$content .= "<br>";
		}
	}
	return $content;
}

## Return a true value
return 1;
